package app.repositories;

import app.entities.LecturerClassesKey;
import app.entities.LecturerClassessEntity;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import javax.transaction.Transactional;
import java.util.List;
import java.util.Optional;

@Repository
public interface LecturerClassesEntityRepository extends CrudRepository<LecturerClassessEntity, LecturerClassesKey> {
    Optional<List<LecturerClassessEntity>> findAllByUsername(String username);
    int countByUsername(String username);
}
